Holger's Java API

## com.antelmann.util.logging
Class StackTraceFileWriter

    java.lang.Object
      com.antelmann.util.logging.AbstractLogWriter<String>
          com.antelmann.util.logging.StackTraceFileWriter

All Implemented Interfaces:
  Filter<LogEntry>, LogWriter

    public class StackTraceFileWriter

extends AbstractLogWriter<String>

writes full stack trace of entries that log an exception to a given file.

Author:
  Holger Antelmann

Field Summary

Fields inherited from class com.antelmann.util.logging.AbstractLogWriter
`filter`

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`StackTraceFileWriter(File logFile)`

Method Summary
`void` `writeLogPattern(String pattern)` writes the pattern to the log entity.

Methods inherited from class com.antelmann.util.logging.AbstractLogWriter
`accept, getLogFilter, getLogFormatter, setLogFilter, setLogFormatter, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackTraceFileWriter

    public StackTraceFileWriter(File logFile)

Method Detail

### writeLogPattern

    public void writeLogPattern(String pattern)

  Description copied from class: `AbstractLogWriter`
  writes the pattern to the log entity. If the LogEntryFormatter is null, the pattern is the LogEntry object itself; otherwise, the pattern is the result of formatting the LogEntry with the given LogEntryFormatter.

  Specified by:
    `writeLogPattern` in class `AbstractLogWriter<String>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads